Name:           telepathy-glib
Version:        0.6.1
Release:        1%{?dist}
Summary:        GLib bindings for Telepathy

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk-doc
BuildRequires:  dbus-devel >= 0.61
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	libxslt
BuildRequires:	python


%description
Telepathy-glib is the glib bindings for the telepathy unified framework
for all forms of real time conversations, including instant messaging, IRC, 
voice calls and video calls.


%package 	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	telepathy-filesystem
Requires:	dbus-devel
Requires:	dbus-glib-devel
Requires:	pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package 	unstable-static
Summary:	Unstable Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:   	%{name}-devel = %{version}-%{release}
Requires:   	pkgconfig


%description unstable-static	
The %{name}-unstable-static package contains libraries and header
files for developing applications that use statically linked
unstable API from %{name}. Packagers build requiring this package
should be check to see if it is needed in future releases.


%prep
%setup -q


%check
make check


%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libtelepathy-glib*.so.*


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-glib.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/telepathy-1.0/%{name}/


%files unstable-static
%defattr(-,root,root,-)
%{_includedir}/telepathy-unstable/
%{_libdir}/pkgconfig/%{name}-unstable.pc
%{_libdir}/libtelepathy-glib-unstable.a


%changelog
* Mon Nov 12 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.6.1-1
- New upstream version makes debugging and persistence orthogonal, so OLPCs
  can have full debug logs without having Gabble stay in RAM forever
- Sync with devel packaging (tighten BuildRequires, fix License tag)

* Fri Oct 12 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.6.0-1
- New upstream version

* Mon Aug 29 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.14-1
- New upstream version 

* Mon Jun 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-3
- Add check section to run test suite.
- Mark gtk-docs as docs.

* Sat Jun 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-2
- Change Group to more accurate categoryn.
- Require pkgconfig on the devel package.
- Move headers for unstable libs to unstable-static sub-pacakge.

* Tue Jun  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.

* Wed May 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11.

* Sat Apr 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.10-1
- Intial spec.

